Loading...
Searching...
No Matches
input_stream_over Interface Reference
IO » Stream

Concept for input streams. More...

`#include <seqan3/io/stream/concept.hpp>`

## Related Symbols

(Note that these are not member symbols.)
Requirements for seqan3::input_stream_over
You can expect these member types and the free function on all types that satisfy seqan3::input_stream_over.
std::basic_istream< char_type, traits_type > & | operator>> (value_type val)
| (un)-formatted input operator for the respective type on the underlying stream.
typename stream::char_type | char_type
| Declares the associated char type.
typename stream::traits_type | traits_type
| Declares the associated traits type.
typename stream::int_type | int_type
| Declares the associated int type.
typename stream::pos_type | pos_type
| Declares the associated pos type.
typename stream::off_type | off_type
| Declares the associated off type.

## Detailed Description

Concept for input streams.

An object is an input stream if it inherits from the std::ios_base and supports the (un)formatted input function (operator>>) for a l-value of a given value_type. It further needs to define the public member types as described in the STD.

## Friends And Related Symbol Documentation

## operator>>()

std::basic_istream< char_type, traits_type > & operator>> | ( | value_type | val | ) |

related

(un)-formatted input operator for the respective type on the underlying stream.

Parameters

  val | The value to read from the stream.

Returns
  A reference to a std::basic_istream<char_type, traits_type>.

The char_type and traits_type are inferred from the given istream.

Attention
  This is a concept requirement, not an actual function (however types satisfying this concept will provide an implementation).

The documentation for this interface was generated from the following file:

- io/stream/concept.hpp

Hide me